/* Mathematiques de l'informatique graphique    */
/* Zoom 3D en coordonnees homogenes             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TG3D.h"
#include "Sc3D.h"

/* Construit le zoom identite                   */

Sc3D::Sc3D(void):TG3D() {
}

/* Construit le zoom de rapports (sx,sy,sz)     */

Sc3D::Sc3D(float sx,float sy,float sz):TG3D() {
  mat[0][0] = sx;
  mat[1][1] = sy;
  mat[2][2] = sz;
}

/* Construit le clone du zoom sc                */

Sc3D::Sc3D(Sc3D *sc):TG3D(sc) {
}

/* Destructeur                                  */

Sc3D::~Sc3D(void) {
}
