/* Mathematiques de l'informatique graphique    */
/* Scale 2D                                     */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TransformationGeometrique2D.h"
#include "Scale2D.h"

/* Constructeurs                                */

Scale2D::Scale2D(void):TransformationGeometrique2D() {
}

Scale2D::Scale2D(double rx,double ry):TransformationGeometrique2D() {
  c[0][0] = rx;
  c[1][1] = ry;
}

/* Destructeur                                  */

Scale2D::~Scale2D(void) {
}
