/* Mathematiques de l'informatique graphique    */
/* Scale 3D                                     */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TransformationGeometrique3D.h"
#include "Scale3D.h"

/* Constructeurs                                */

Scale3D::Scale3D(void):TransformationGeometrique3D() {
}

Scale3D::Scale3D(double rx,double ry,double rz):TransformationGeometrique3D() {
  c[0][0] = rx;
  c[1][1] = ry;
  c[2][2] = rz;
}

/* Destructeur                                  */

Scale3D::~Scale3D(void) {
}
