/* Mathematiques de l'informatique graphique    */
/* Transformation geometrique en 2D             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TransformationGeometrique.h"
#include "TransformationGeometrique2D.h"

/* Constructeurs                                */

TransformationGeometrique2D::TransformationGeometrique2D(void):TransformationGeometrique(3) {
}

TransformationGeometrique2D::TransformationGeometrique2D(double *t):TransformationGeometrique(3,t) {
}

TransformationGeometrique2D::TransformationGeometrique2D(double **t):TransformationGeometrique(3,t) {
}

TransformationGeometrique2D::TransformationGeometrique2D(TransformationGeometrique2D *tg):TransformationGeometrique(tg) {
}

/* Destructeur                                  */

TransformationGeometrique2D::~TransformationGeometrique2D(void) {
}
