///
/// \file LumiereDirectionnelle.h
/// Stockage de lumieres directionnelles
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#ifndef ____LUMIEREDIRECTIONNELLE____
#define ____LUMIEREDIRECTIONNELLE____

#include "Lumiere.h"

class Direction3D;

///
/// \class LumiereDirectionnelle
/// Stockage de lumieres directionnelles
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

class LumiereDirectionnelle : public Lumiere  {

  public :
    Direction3D *dir;            ///< Direction.

  public :

///
/// Constructeur basique.
///
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    LumiereDirectionnelle(void);

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual ~LumiereDirectionnelle(void);

///
/// Affichage texte.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual void print(void);
};

#endif
