///
/// \file ObjetGraphique.h
/// Stockage d'objets graphiques
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#ifndef ____OBJETGRAPHIQUE____
#define ____OBJETGRAPHIQUE____

class CouleurRVBA;

///
/// \class ObjetGraphique
/// Stockage d'objets graphiques
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

class ObjetGraphique  {

  public :
    CouleurRVBA *couleur;            ///< Couleur.

  public :

///
/// Constructeur basique.
///
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    ObjetGraphique(void);

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual ~ObjetGraphique(void);

///
/// Affichage texte.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual void print(void) = 0;
};

#endif
