/* Stockage d'une lumiere ponctuelle            */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#ifndef ____LUMIEREPONCTUELLE____
#define ____LUMIEREPONCTUELLE____

#include "Lumiere.h"

class Position3D;

class LumierePonctuelle:public Lumiere {

  public :
    Position3D *p;
    bool attenuation;

  public :

    /* Constructeurs                            */
    LumierePonctuelle(void);
    LumierePonctuelle(LumierePonctuelle *lp);

    /* Destructeur                              */
    ~LumierePonctuelle(void);

//////////////////////////////////////////////////

    /* Methode de calcul de la quantite         */
    /* d'energie diffusee en un point p         */
    /* de normale n et de coefficient           */
    /* de diffusion kd                          */
    virtual void energieDiffusee(Energie *e,Position3D *p,Direction3D *n,Couleur *kd);

//////////////////////////////////////////////////

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
