/* Mathematiques de l'informatique graphique    */
/* Transformation geometrique 3D                */
/* en coordonnees homogenes                     */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____TG3D____
#define ____TG3D____

class CH3D;

class TG3D {

  public :

    /* Composantes                              */

    float mat[4][4];

  public :

    /* Construit la TG3D identite               */

    TG3D(void);

    /* Construit la TG3D clone de tg            */

    TG3D(TG3D *tg);

    /* Destructeur                              */

    virtual ~TG3D(void);

    /* Methode d'affichage texte                */

    void print(void);

    /* Methode de composition                   */
    /* de la transformation geometrique this    */
    /* par la transformation geometrique rhs    */
    /* avec retour du resultat                  */

    TG3D mult(const TG3D& rhs);
};

#endif
