/* Image bitmap                                 */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2014                                    */

#ifndef ____IMAGE____
#define ____IMAGE____

#include <GL/glut.h>
#include <GL/gl.h>
#include <GL/glu.h>

#include "Energie.h"

class Image  {

  public :
    int tx;
    int ty;
    GLubyte **t;

  public :
    Image(int tx,int ty);
    ~Image(void);
    void print(void);

    /* Fonction d'affichage d'une image bitmap      */
    void affichage(void);

    /* Fonction d'affectation de la couleur         */
    /* d'un pixel d'une image a partir              */
    /* d'une energie et d'une sensibilite           */
    void affecteEnergieSurPixel(Energie *energie,double sensibilite,
                                int x,int y);
};

#endif
