/* Mathematiques de l'informatique graphique    */
/* Zoom 3D en coordonnees homogenes             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____SC3D____
#define ____SC3D____

#include "TG3D.h"

class Sc3D : public TG3D {

  public :

    /* Construit le zoom identite               */
 
    Sc3D(void);

    /* Construit le zoom de rapports (rx,ry,rz) */

    Sc3D(float rx,float ry,float rz);

    /* Construit le clone du zoom sc            */

    Sc3D(Sc3D *sc);

    /* Destructeur                              */

    ~Sc3D(void);
};

#endif
