/* Classe de modelisation d'une bille           */
/*                                              */
/* Mars 2021                                    */

#ifndef ____BILLE____
#define ____BILLE____

#include "Maths/Pos3D.h"
#include "Maths/Dir3D.h"

class Bille  {

  public :

    /* Coordonnees x, y et z                    */

    Pos3D p;
    Dir3D v;
    float r;
    float dp;
    unsigned int textureID;
    float rt;
    float vrt;

  public :

    /* Construit la bille de rayon 1.0           */
    /* place  l'origine                        */

    Bille(void);

    /* Destructeur                              */

    virtual ~Bille(void);

  public :

    /* Calcul de la vitesse                     */

    double vitesse(void);

    /* Methode d'affichage texte                */

    void print(void);
};

#endif
