/* Mathematiques de l'informatique graphique    */
/* Rotation 3D en coordonnees homogenes         */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____RT3D____
#define ____RT3D____

#include "TG3D.h"

class Dir3D;

class Rt3D : public TG3D {

  public :

    /* Construit la rotation identite           */

    Rt3D(void);

    /* Construit la rotation d'angle alpha      */
    /* degres autour de l'axe de direction dir  */
    /* passant par l'origine                    */

    Rt3D(float angle,Dir3D& dir);

    /* Construit le clone de la rotation rt     */

    Rt3D(Rt3D *rt);

    /* Destructeur                              */

    ~Rt3D(void);
};

#endif
