/* Mathematiques de l'informatique graphique    */
/* Transformation geometrique en 3D             */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TransformationGeometrique.h"
#include "TransformationGeometrique3D.h"

/* Constructeurs                                */

TransformationGeometrique3D::TransformationGeometrique3D(void):TransformationGeometrique(4) {
}

TransformationGeometrique3D::TransformationGeometrique3D(double *t):TransformationGeometrique(4,t) {
}

TransformationGeometrique3D::TransformationGeometrique3D(double **t):TransformationGeometrique(4,t) {
}

TransformationGeometrique3D::TransformationGeometrique3D(TransformationGeometrique3D *tg):TransformationGeometrique(tg) {
}

/* Destructeur                                  */

TransformationGeometrique3D::~TransformationGeometrique3D(void) {
}
