///
/// \file Translation2D.h
/// Mathematiques de l'informatique graphique: Translation2D.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#ifndef ____TRANSLATION2D____
#define ____TRANSLATION2D____

#include "TransformationGeometrique2D.h"

///
/// \class Translation2D
/// Mathematiques de l'informatique graphique: Translation2D.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

class Translation2D : public TransformationGeometrique2D {

  public :

///
/// Constructeur: Identite.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    Translation2D(void);

///
/// Constructeur.
/// 
/// @param tx Deplacement en x.
/// @param ty Deplacement en y.
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    Translation2D(double tx,double ty);

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    ~Translation2D(void);
};

#endif
