///
/// \file LumierePonctuelle.h
/// Stockage de lumieres ponctuelles
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#ifndef ____LUMIEREPONCTUELLE____
#define ____LUMIEREPONCTUELLE____

#include "Lumiere.h"

class Position3D;

///
/// \class LumierePonctuelle
/// Stockage de lumieres ponctuelles
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

class LumierePonctuelle : public Lumiere  {

  public :
    Position3D *pos;           ///< Position.

  public :

///
/// Constructeur basique.
///
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    LumierePonctuelle(void);

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual ~LumierePonctuelle(void);

///
/// Affichage texte.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    virtual void print(void);
};

#endif
