#include <malloc.h>

#include "Bitmap.h"
#include "BitmapCouleurs.h"
#include "PICTType.h"
#include "PICTModeBtmp.h"

#define UNREFERENCED_PARAMETER(P) (P)
#define RESOLUTION_X    1024
#define RESOLUTION_Y    768

struct espace         *btpict ;
int                   dx_pict ;
int                   dy_pict ;

static struct c24bits     *ppict ;

/* ************************************************************************ */

void init_PICT_bitmap(int dx,int dy) { 
  UNREFERENCED_PARAMETER(dy);
  ppict =(struct c24bits *) calloc(dx+1,sizeof(struct c24bits)) ;
}
/* ------------------------------------------------------------------------ */
void fini_PICT_bitmap(void)
  { free(ppict) ;
}
/* ------------------------------------------------------------------------ */
void cherche_ligne_bitmap(int y)
  { cherche_ligne(dy_pict-1-y,(unsigned char *) ppict,btpict) ;
}
/* ------------------------------------------------------------------------ */
void sauve_ligne_bitmap(int y)
  { sauve_ligne(dy_pict-1-y,(unsigned char *) ppict,btpict) ;
}
/* ------------------------------------------------------------------------ */
void put_pixel_bitmap(int x, int y,struct color32 *color) { 
  UNREFERENCED_PARAMETER(y);
  ppict[x].r = color->rouge ;
  ppict[x].v = color->vert ;
  ppict[x].b = color->bleu ;
}
/* ------------------------------------------------------------------------ */
void get_pixel_bitmap(int x,int y,struct color32 *color) {
  UNREFERENCED_PARAMETER(y);
  color->rouge = ppict[x].r ;
  color->vert = ppict[x].v ;
  color->bleu = ppict[x].b ;
}

/* ************************************************************************ */
