///
/// \file Inclusions.h
/// Stockage d'un ensemble d'inclusions de chargement pour un fichier xml.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

#ifndef ____INCLUSIONS____
#define ____INCLUSIONS____

#include "Vector.h"

///
/// \class Inclusions
/// Stockage d'un ensemble d'inclusions de chargement pour un fichier xml.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///

class Inclusions : public Vector {

  public :

///
/// Constructeur sans parametre.
///
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    Inclusions(void);

///
/// Destructeur.
/// 
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    ~Inclusions(void);

///
/// Test de la presence d'une chaine de caracteres dans this.
///
/// @param s La chaine a rechercher.
/// @return L'entier booleen indiquant si la chaine a ete trouvee ou non.
/// @author Nicolas Janey
/// @author nicolas.janey@univ-fcomte.fr
/// @version 1.0, 01/01/10
///
    int estPresent(char *s);
};

#endif
