/* Stockage d'une lumiere directionnelle        */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#ifndef ____LUMIEREDIRECTIONNELLE____
#define ____LUMIEREDIRECTIONNELLE____

#include "Lumiere.h"

class Dir3D;

class LumiereDirectionnelle:public Lumiere {

  public :
    Dir3D *d;

  public :

    /* Constructeurs                            */
    LumiereDirectionnelle(void);
    LumiereDirectionnelle(LumiereDirectionnelle *ld);

    /* Destructeur                              */
    ~LumiereDirectionnelle(void);

//////////////////////////////////////////////////

    /* Methode de calcul de la quantite         */
    /* d'energie diffusee en un point p         */
    /* de normale n et de coefficient           */
    /* de diffusion kd                          */

    virtual void energieDiffusee(Energie *e,Pos3D *p,Dir3D *n,Couleur *kd);

//////////////////////////////////////////////////

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
