/* Stockage d'une lumiere                       */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____LUMIERE____
#define ____LUMIERE____

class Couleur;
class Energie;

class Pos3D;
class Dir3D;

class Lumiere  {

  public :
    Couleur *c;
    double intensite;
    bool on;

  public :

    /* Constructeurs                            */
    Lumiere(void);
    Lumiere(Lumiere *c);

    /* Destructeur                              */
    ~Lumiere(void);

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
