/* Stockage d'une lumiere directionnelle        */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____LUMIEREDIRECTIONNELLE____
#define ____LUMIEREDIRECTIONNELLE____

#include "Lumiere.h"

class Pos3D;
class Dir3D;

class LumiereDirectionnelle:public Lumiere {

  public :
    Dir3D *d;

  public :

    /* Constructeurs                            */
    LumiereDirectionnelle(void);
    LumiereDirectionnelle(LumiereDirectionnelle *ld);

    /* Destructeur                              */
    ~LumiereDirectionnelle(void);

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
