/* Stockage d'une lumiere ponctuelle            */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____LUMIEREPONCTUELLE____
#define ____LUMIEREPONCTUELLE____

#include "Lumiere.h"

class Pos3D;
class Dir3D;

class LumierePonctuelle:public Lumiere {

  public :
    Pos3D *p;
    bool attenuation;

  public :

    /* Constructeurs                            */
    LumierePonctuelle(void);
    LumierePonctuelle(LumierePonctuelle *lp);

    /* Destructeur                              */
    ~LumierePonctuelle(void);

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
