/* Mathematiques de l'informatique graphique    */
/* Translation 3D en coordonnees homogenes      */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#ifndef ____TR3D____
#define ____TR3D____

#include "TG3D.h"

class Dir3D;

class Tr3D : public TG3D {

  public :

    /* Construit la translation identite        */

    Tr3D(void);

    /* Construit la translation (tx,ty,tz)      */

    Tr3D(float tx,float ty,float tz);

    /* Construit la translation de vecteur d    */

    Tr3D(Dir3D *d);

    /* Construit le clone de la translation tr  */

    Tr3D(Tr3D *tr);

    /* Destructeur                              */

    ~Tr3D(void);
};

#endif
