/* Stockage d'une lumiere spot                  */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Novembre 2012                                */

#ifndef ____LUMIERESPOT____
#define ____LUMIERESPOT____

#include "LumierePonctuelle.h"

class Position3D;

class LumiereSpot:public LumierePonctuelle {

  public :
    Direction3D *d;
    double ouverture;

  public :

    /* Constructeurs                            */
    LumiereSpot(void);
    LumiereSpot(LumiereSpot *lp);

    /* Destructeur                              */
    ~LumiereSpot(void);

//////////////////////////////////////////////////

    /* Methode de calcul de la quantite         */
    /* d'energie diffusee en un point p         */
    /* de normale n et de coefficient           */
    /* de diffusion kd                          */
    virtual void energieDiffusee(Energie *e,Position3D *p,Direction3D *n,Couleur *kd);

//////////////////////////////////////////////////

    /* Methode d'affichage texte                */
    virtual void print(void);
};

#endif
