/* Mathematiques de l'informatique graphique    */
/* Position en 3D                               */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#ifndef ____POSITION3D____
#define ____POSITION3D____

#include "CoordonneesHomogenes3D.h"

class Position3D : public CoordonneesHomogenes3D {

  public :

    /* Constructeurs                            */
    Position3D(void);
    Position3D(double x,double y,double z);
    Position3D(Position3D *c);

    /* Destructeur                              */
    ~Position3D(void);

    /* Methode de calcul de la distance         */
    /* entre deux positions                     */
    double distance(Position3D *p);

    /* Methode de calcul du carre               */
    /* de la distance entre deux positions      */
    double carreDistance(Position3D *p);
};

#endif
