/* Mathematiques de l'informatique graphique    */
/* Transformation geometrique 3D                */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#ifndef ____TRANSFORMATIONGEOMETRIQUE3D____
#define ____TRANSFORMATIONGEOMETRIQUE3D____

class CoordonneesHomogenes3D;

class TransformationGeometrique3D  {

  public :
    double c[4][4];

  public :

    /* Constructeurs                            */
    TransformationGeometrique3D(void);
    TransformationGeometrique3D(double *t);
    TransformationGeometrique3D(double **t);
    TransformationGeometrique3D(TransformationGeometrique3D *tg);

    /* Destructeur                              */
    ~TransformationGeometrique3D(void);

    /* Methodes                                 */
    void print(void);
    void compose(TransformationGeometrique3D *tg);
    void compose(TransformationGeometrique3D *t1,TransformationGeometrique3D *t2);
    void transforme(CoordonneesHomogenes3D *ch);
};

#endif
